[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EHeapMemoryError.FreeInstance

Free the exception instance

## Declaration

Source position: sysutilh.inc line 156

`public procedure EHeapMemoryError.FreeInstance; override;`

## Description

FreeInstance checks whether the exception instance may be freed prior to calling the inherited FreeInstance. The exception is only freed in case of normal program shutdown, if a heap error occured, the exception instance is not freed.

Documentation generated on: Feb 26 2014